# Role: prometheus

## Description

Install and configure Prometheus for monitoring.

https://prometheus.io/

## Usage

Using in a playbook:

```yaml
- name: Play
  hosts:
    - all
  roles:
    - samuliy.ansible.prometheus
  vars:
    ...
```

### Vars

`prometheus_user`:

User for Prometheus.

`prometheus_group`:

Group for Prometheus.

`prometheus_retention_period`:

Retention period for Prometheus.

`prometheus_scrape_configs`:

List of scrape configs.

`prometheus_web_config`:

Web config. Required for TLS config.

`prometheus_alerting_config`:

Config for alerting.

`prometheus_rule_files`:

List of rule files.

`prometheus_environment_file`:

Environment file for the service.

`prometheus_environment_args`:

Arguments to install into the environment file.

`prometheus_environment_args_key`:

Key to look for in the environment file.
